cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"membershipId": "67f1234567890abcdef1234",
"membershipName": "Small Group 2x per week",
"productType": "StoreModuleCreditPack",
"productId": "67f1234567890abcdef1234",
"productName": "10x PT strippenkaart",
"rule": {
"_id": "67f1234567890abcdef1234",
"productType": "StoreModuleCreditPack",
"productId": "67f1234567890abcdef1234",
"membershipId": "67f1234567890abcdef1234",
"enabled": true,
"isActive": true,
"sessionsPerWeek": 2,
"coachingMode": "small_group",
"defaultTemplateSetId": "67f1234567890abcdef1234",
"defaultPlanMomentIds": [
"67f1234567890abcdef1234"
],
"assignmentStrategy": "next_in_sequence",
"goalTags": [
"string"
],
"level": "",
"equipmentProfileId": "66f7b8b1e13c8d25f4d3d90a",
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
},
"sync": {
"applied": true,
"total": 4,
"changed": 4,
"assignedPlanCreated": 2,
"skipped": 0,
"failed": 0
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Membership and product rules
Get workout automation for a membership
Requires Workout and membershipWorkoutAutomation company feature flags. Returns the workout template/day automation rule linked to a store membership.
Requires the workout_settings:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
membership-rules
/
{membershipId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/membership-rules/{membershipId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"membershipId": "67f1234567890abcdef1234",
"membershipName": "Small Group 2x per week",
"productType": "StoreModuleCreditPack",
"productId": "67f1234567890abcdef1234",
"productName": "10x PT strippenkaart",
"rule": {
"_id": "67f1234567890abcdef1234",
"productType": "StoreModuleCreditPack",
"productId": "67f1234567890abcdef1234",
"membershipId": "67f1234567890abcdef1234",
"enabled": true,
"isActive": true,
"sessionsPerWeek": 2,
"coachingMode": "small_group",
"defaultTemplateSetId": "67f1234567890abcdef1234",
"defaultPlanMomentIds": [
"67f1234567890abcdef1234"
],
"assignmentStrategy": "next_in_sequence",
"goalTags": [
"string"
],
"level": "",
"equipmentProfileId": "66f7b8b1e13c8d25f4d3d90a",
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
},
"sync": {
"applied": true,
"total": 4,
"changed": 4,
"assignedPlanCreated": 2,
"skipped": 0,
"failed": 0
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}